> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/advanced-implementation-patterns/set-google-changecorrelator-in-pubads-.refresh.md).

# Set Google changeCorrelator in \`pubads().refresh()\`

## **Overview**

This article outlines a method by which a publisher can maintain the [correlator value](https://developers.google.com/publisher-tag/reference#googletag.PubAdsService.refresh) across GAM adserver calls post refresh.

GAM requests with the same correlator value are considered to be in the same page-view, as such this method is useful for those lazyloading ads either in long form content or infinite scroll.

To maintain the correlator we use the googletagCalls object available in the [relevantDigital.loadPrebid()](https://help.relevant-digital.com/knowledge/relevantdigital.loadprebid) function which allows a publisher to intercept the default googletag.pubads().refresh() behavior and add the *changeCorrelator: false* option.

### **Code**

```
relevantDigital.loadPrebid({ 
    googletagCalls: {
        refresh: (slots) => googletag.pubads().refresh(slots, { changeCorrelator: false }),
    },
});
```

## **Walk-through**

Here we add the googletagCalls object directly to the [loadPrebid](https://help.relevant-digital.com/knowledge/relevantdigital.loadprebid) function.

The googletag.pubads().refresh() function will recieve a *slot* object, which when using googletagCalls.refresh can be retrieved.

The same slot object is then pushed back into an updated googletag.pubads().refresh() including the changeCorrelator option.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/advanced-implementation-patterns/set-google-changecorrelator-in-pubads-.refresh.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
